> ## Documentation Index
> Fetch the complete documentation index at: https://developers-sandbox.uqpaytech.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Answer RFI

> 提交对某个 RFI 的回复。每一项的 `answer.key` 必须与[获取 RFI](/zh/account-center/v1.6/api-reference/retrieve-rfi)返回的对应 `question.key` 一致。

对于附件类型的问题，请先通过[上传文件](/zh/account-center/v1.6/api-reference/upload-file)上传每个文件以获取 `file_id`，然后将返回的 ID 加入 `attachments` 数组。




## OpenAPI

````yaml /zh/account-center/v1.6/connect.yaml post /v1/rfis/answer
openapi: 3.0.2
info:
  version: 0.0.1
  x-source-en-commit: d7dd912
  x-source-en-path: account-center/v1.6/connect.yaml
  title: Connect
  description: 这些 API 用于管理关联账户。
servers:
  - url: https://api-sandbox.uqpaytech.com/api
    description: Sandbox 基础 URL。
  - url: https://api.uqpay.com/api
    description: 生产环境基础 URL。
security: []
tags:
  - name: Account Center
    description: 在你的 UQPAY 账户下创建和管理子账户。
  - name: Accounts
    description: 借助 Connect，你可以为你的用户创建 UQPAY 账户。为此，你需要先注册你的平台。
  - name: Request for Information (RFI)
    description: 获取并回复在入驻或持续审查期间针对你的账户发起的信息索取请求（RFI）。
paths:
  /v1/rfis/answer:
    post:
      tags:
        - Request for Information (RFI)
      summary: Answer RFI
      description: >
        提交对某个 RFI 的回复。每一项的 `answer.key` 必须与[获取
        RFI](/zh/account-center/v1.6/api-reference/retrieve-rfi)返回的对应
        `question.key` 一致。


        对于附件类型的问题，请先通过[上传文件](/zh/account-center/v1.6/api-reference/upload-file)上传每个文件以获取
        `file_id`，然后将返回的 ID 加入 `attachments` 数组。
      operationId: answer-rfi
      parameters:
        - $ref: '#/components/parameters/XOnBehalfOf'
        - $ref: '#/components/parameters/XIdempotencyKey'
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/RFIAnswerRequest'
            examples:
              sandbox:
                summary: Sandbox 请求
                value:
                  rfi_id: ACTREQ-895487f0-3220-4aae-81ad-a20dba6fa2d9
                  answer:
                    - key: sandbox_regression_note
                      type: TEXT
                      text: Sandbox contract test response
      responses:
        '200':
          description: OK——成功回复 RFI。
          headers:
            x-response-id:
              $ref: '#/components/headers/XResponseId'
          content:
            application/json:
              examples:
                sandbox:
                  summary: Sandbox response
                  value:
                    account_id: b1b89684-c2c4-4d54-b8a8-3572727fd120
                    rfi_id: ACTREQ-895487f0-3220-4aae-81ad-a20dba6fa2d9
                    rfi_type: onboarding
                    ref_reference_id: b1b89684-c2c4-4d54-b8a8-3572727fd120
                    status: SUBMITTED_PENDING
                    request:
                      - question:
                          key: sandbox_regression_note
                          comment: Sandbox regression note
                          type: TEXT
                        answer:
                          key: sandbox_regression_note
                          text: Sandbox contract test response
                          type: TEXT
                    create_time: '2026-09-11T11:39:55.694+08:00'
                    update_time: '2026-09-11T13:42:17.031+08:00'
              schema:
                $ref: '#/components/schemas/RFIsResponse'
                title: RFIAnswerResponse
      security:
        - XAuthToken: []
components:
  parameters:
    XOnBehalfOf:
      in: header
      name: x-on-behalf-of
      schema:
        type: string
      required: false
      description: >-
        设置为关联账户 ID 的值。更多信息参见
        [列出关联账户](/zh/account-center/v1.6/api-reference/list-connected-accounts)
      example: 18523f72-f4de-4f9c-bb8e-ec7d1c4f32be
    XIdempotencyKey:
      in: header
      name: x-idempotency-key
      schema:
        type: string
        format: uuid
      required: true
      description: >-
        用于保持操作幂等性的唯一标识符（UUID），确保同一操作的重复执行不会产生意外影响或重复结果。在出现网络错误、重试或失败时，它有助于保持数据一致性。
      example: 2adesf8e-9d63-44bc-b975-9b6ae3440dde
  schemas:
    RFIAnswerRequest:
      type: object
      required:
        - rfi_id
        - answer
      properties:
        rfi_id:
          $ref: '#/components/schemas/RFIId'
        answer:
          type: array
          description: >-
            答复列表，每个问题对应一项。每个 `answer.key` 必须与[获取
            RFI](/zh/account-center/v1.6/api-reference/retrieve-rfi)返回的对应
            `question.key` 一致。
          items:
            $ref: '#/components/schemas/AnswerItem'
          example:
            - key: sandbox_regression_note
              type: TEXT
              text: Sandbox contract test response
    RFIsResponse:
      type: object
      properties:
        account_id:
          $ref: '#/components/schemas/AccountId'
        rfi_id:
          $ref: '#/components/schemas/RFIId'
        status:
          $ref: '#/components/schemas/RFIStatus'
        create_time:
          $ref: '#/components/schemas/RFICreateTime'
        update_time:
          $ref: '#/components/schemas/RFIUpdateTime'
        request:
          type: array
          description: 该 RFI 中提出的问题列表，以及已提交的任何答复。
          items:
            type: object
            properties:
              question:
                type: object
                properties:
                  key:
                    $ref: '#/components/schemas/QuestionKey'
                  comment:
                    type: string
                    example: >-
                      Company Registration Documentation: includes company name,
                      registered address, business license, etc.
                    description: 对该问题的可读说明，包括审查人提供的任何指引。
                  type:
                    $ref: '#/components/schemas/RFIType'
              answer:
                $ref: '#/components/schemas/AnswerResponse'
    RFIId:
      type: string
      example: ACTREQ-895487f0-3220-4aae-81ad-a20dba6fa2d9
      description: 从 RFI 列表或 Webhook 返回的完整标识符；请原样使用，包括任何前缀。
    AnswerItem:
      type: object
      properties:
        key:
          $ref: '#/components/schemas/AnswerKey'
        type:
          $ref: '#/components/schemas/RFIType'
        text:
          type: string
          description: 类型为 `TEXT` 时必填的非空文本答复。
          example: Sandbox contract test response
        attachments:
          type: array
          description: >-
            由[上传文件](/zh/account-center/v1.6/api-reference/upload-file)返回的
            `file_id` 值数组。
          items:
            type: string
            example: 63d75f6d-97a3-478c-bdbf-b050c650d72a
    AccountId:
      type: string
      example: f5bb6498-552e-40a5-b14b-616aa04ac1c1
      description: 账户的唯一标识符。
    RFIStatus:
      type: string
      example: SUBMITTED_PENDING
      description: |
        该 RFI 的当前状态。
        - `ACTION_REQUIRED`：需要你提供答复。
        - `SUBMITTED_PENDING`：已提交答复，正在审核中。
        - `APPROVED`：所提交的答复已通过。
        - `REJECTED`：所提交的答复被拒绝；可能需要进一步处理。
      enum:
        - SUBMITTED_PENDING
        - REJECTED
        - APPROVED
        - ACTION_REQUIRED
    RFICreateTime:
      type: string
      example: '2024-11-08T17:17:32+08:00'
      description: 该 RFI 的创建时间。
    RFIUpdateTime:
      type: string
      example: '2024-11-09T17:17:32+08:00'
      description: 该 RFI 的最后更新时间。
    QuestionKey:
      type: string
      example: basic_certificate_of_incorporation
      description: 用于标识 RFI 请求中某个具体问题的键。
    RFIType:
      type: string
      example: ATTACHMENT
      description: 问题或答案的类型。`ATTACHMENT` 需要上传文件；`TEXT` 需要文本答复。
      enum:
        - ATTACHMENT
        - TEXT
    AnswerResponse:
      type: object
      properties:
        key:
          $ref: '#/components/schemas/AnswerKey'
        type:
          $ref: '#/components/schemas/RFIType'
        text:
          type: string
          description: 已提交的文本答复，适用于 `TEXT` 类型。
        attachments:
          type: array
          description: 此答复中已提交文件的详情。
          items:
            type: object
            properties:
              file_type:
                type: string
                description: 已提交附件的文件扩展名。
              file_name:
                type: string
                description: 已提交文件的名称。
              size:
                type: integer
                description: 文件大小，单位为字节。
              url:
                type: string
                description: 用于下载已提交文件的临时 URL。
    AnswerKey:
      type: string
      example: basic_certificate_of_incorporation
      description: 与对应 `question.key` 匹配的键，用于将答复与其对应的问题关联起来。
  headers:
    XResponseId:
      description: 响应的全局唯一标识符（UUID v4）。在与 UQPAY 支持团队沟通时，有助于定位某个请求。
      schema:
        type: string
        format: uuid
        example: 2adba88e-9d63-44bc-b975-9b6ae3440dde
  securitySchemes:
    XAuthToken:
      type: apiKey
      in: header
      name: x-auth-token
      description: 由 UQPAY 提供的登录 API Token。

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.